Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.classdisplay
Interface OWLClassDisplay

All Known Implementing Classes:
  AbstractOWLClassDisplay, CompactOWLClassDisplay, DLSyntaxClassDisplay, ManchesterOWLClassDisplay

    public interface OWLClassDisplay

An interface for objects that can display (and parse) class expressions. Each OWLModel uses one instance of this interface in places such as the conditions widget and the expression editor.

Author:
  Holger Knublauch

Method Summary
`String` | `getDisplayText(RDFSClass cls)` Gets the display text for a given class expression.
`String` | `getOWLAllValuesFromSymbol()` Gets the keyword used for owl:allValuesFrom restrictions in this rendering.
`String` | `getOWLCardinalitySymbol()`
`String` | `getOWLComplementOfSymbol()`
`String` | `getOWLHasValueSymbol()`
`String` | `getOWLIntersectionOfSymbol()`
`String` | `getOWLMaxCardinalitySymbol()`
`String` | `getOWLMinCardinalitySymbol()`
`String` | `getOWLSomeValuesFromSymbol()`
`String` | `getOWLUnionOfSymbol()`
`OWLClassParser` | `getParser()` Gets the associated parser that allows users to enter class expressions in the defined rendering.
`String` | `getSymbol(OWLAnonymousClass cls)` Gets the keyword for a class of a given type.

Method Detail

### getDisplayText

    String getDisplayText(RDFSClass cls)

  Gets the display text for a given class expression. This will be used in the `getBrowserText()` call of the class.

  Parameters:
    `cls` - the class to get the text for
  Returns:
    the display text (not null)

### getSymbol

    String getSymbol(OWLAnonymousClass cls)

  Gets the keyword for a class of a given type. Depending on the provided argument this should fork into the corresponding helper methods such as `getOWLHasValueSymbol()` if the argument is an OWLHasValue restriction.

  Parameters:
    `cls` - the class to get the key for
  Returns:
    the key (undefined for OWLEnumeratedClasses)

### getOWLAllValuesFromSymbol

    String getOWLAllValuesFromSymbol()

  Gets the keyword used for owl:allValuesFrom restrictions in this rendering. Examples are the reverse A or "only".

  Returns:
    the key for owl:allValuesFrom

### getOWLCardinalitySymbol

    String getOWLCardinalitySymbol()

### getOWLComplementOfSymbol

    String getOWLComplementOfSymbol()

### getOWLHasValueSymbol

    String getOWLHasValueSymbol()

### getOWLIntersectionOfSymbol

    String getOWLIntersectionOfSymbol()

### getOWLMaxCardinalitySymbol

    String getOWLMaxCardinalitySymbol()

### getOWLMinCardinalitySymbol

    String getOWLMinCardinalitySymbol()

### getOWLSomeValuesFromSymbol

    String getOWLSomeValuesFromSymbol()

### getOWLUnionOfSymbol

    String getOWLUnionOfSymbol()

### getParser

    OWLClassParser getParser()

  Gets the associated parser that allows users to enter class expressions in the defined rendering.

  Returns:
    the OWLClassParser

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.